### Method

# Gtk Snapshot append_paste

since: 4.22

#### Declaration [src]

    void
    gtk_snapshot_append_paste (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds,
      gsize nth
    )

#### Description [src]

Creates a new render node that pastes the contents copied by a previous call to `gtk_snapshot_push_copy()`.

Available since: 4.22

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  The bounds for the new node.

  The data is owned by the caller of the method.

`nth`

  Type: `gsize`

  The index of the copy, with 0 being the latest copy, 1 being the copy before that, and so on.